NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder Class Reference

Represents a NXOpen::GeometricAnalysis::SurfaceContinuityAnalysis builder
To create a new instance of this class, use NXOpen::GeometricAnalysis::AnalysisObjectCollection::CreateSurfaceContinuityAnalysisBuilder
Default values. More...

Inheritance diagram for NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CurvatureType { CurvatureTypeSectional, CurvatureTypeGaussian, CurvatureTypeMean, CurvatureTypeAbsolute }
 Curvature types. More...
 
enum  Types { TypesEdgeToEdge, TypesEdgeToFace }
 Two possible types for the dialog. More...
 

Public Member Functions

NXOpen::GeometricUtilities::CombOptionsBuilderCombOptions ()
 Returns the comb display block options
Created in NX6.0.0. More...
 
NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureType CurvatureCheck ()
 Returns the curvature check
Created in NX6.0.0. More...
 
NXOpen::SelectNXObjectListFace ()
 Returns the (second) faces. More...
 
NXOpen::SelectNXObjectListFirstEdge ()
 Returns the first edges or faces
Created in NX6.0.0. More...
 
bool G0 ()
 Returns the g0 toggle
Created in NX6.0.0. More...
 
bool G1 ()
 Returns the g1 toggle
Created in NX6.0.0. More...
 
bool G2 ()
 Returns the g2 toggle
Created in NX6.0.0. More...
 
bool G3 ()
 Returns the g3 toggle
Created in NX6.0.0. More...
 
std::vector< NXOpen::Face * > GetFace1Array ()
 Returns the edge1 array not used. More...
 
NXOpen::SelectNXObjectListSecondEdge ()
 Returns the second edges or faces. More...
 
void SetCurvatureCheck (NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureType curvatureCheck)
 Sets the curvature check
Created in NX6.0.0. More...
 
void SetG0 (bool g0)
 Sets the g0 toggle
Created in NX6.0.0. More...
 
void SetG1 (bool g1)
 Sets the g1 toggle
Created in NX6.0.0. More...
 
void SetG2 (bool g2)
 Sets the g2 toggle
Created in NX6.0.0. More...
 
void SetG3 (bool g3)
 Sets the g3 toggle
Created in NX6.0.0. More...
 
void SetType (NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Types type)
 Sets the type of analysis to perform
Created in NX6.0.0. More...
 
NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Types Type ()
 Returns the type of analysis to perform
Created in NX6.0.0. More...
 
void UpdateFace (NXOpen::Face *face, const NXOpen::Point3d &selectionPoint)
 User selects or deselects face, update builder m_edge2, m_face2
Created in NX6.0.0. More...
 
void UpdateFirstEdgeFace (NXOpen::DisplayableObject *edgeOrFace, const NXOpen::Point3d &selectionPoint)
 The user selects or deselects first edge or face, update builder m_edge1, m_face1
Created in NX6.0.0. More...
 
void UpdateSecondEdgeFace (NXOpen::DisplayableObject *edgeOrFace, const NXOpen::Point3d &selectionPoint)
 User selects or deselects second edge or face, update builder m_edge2, m_face2
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::GeometricAnalysis::SurfaceContinuityAnalysis builder
To create a new instance of this class, use NXOpen::GeometricAnalysis::AnalysisObjectCollection::CreateSurfaceContinuityAnalysisBuilder
Default values.

Property Value

CurvatureCheck

Sectional

G0

True

G1

False

G2

False

G3

False


Created in NX6.0.0.

Member Enumeration Documentation

Curvature types.

Enumerator
CurvatureTypeSectional 

sectional

CurvatureTypeGaussian 

gaussian

CurvatureTypeMean 

mean

CurvatureTypeAbsolute 

absolute

Two possible types for the dialog.

Enumerator
TypesEdgeToEdge 

edge to edge

TypesEdgeToFace 

edge to face

Member Function Documentation

NXOpen::GeometricUtilities::CombOptionsBuilder* NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CombOptions ( )

Returns the comb display block options
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureType NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureCheck ( )

Returns the curvature check
Created in NX6.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Face ( )

Returns the (second) faces.

Used only if the type is EdgeFace
Created in NX6.0.0.

License requirements : None

NXOpen::SelectNXObjectList* NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::FirstEdge ( )

Returns the first edges or faces
Created in NX6.0.0.



License requirements : None

bool NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::G0 ( )

Returns the g0 toggle
Created in NX6.0.0.



License requirements : None

bool NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::G1 ( )

Returns the g1 toggle
Created in NX6.0.0.



License requirements : None

bool NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::G2 ( )

Returns the g2 toggle
Created in NX6.0.0.



License requirements : None

bool NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::G3 ( )

Returns the g3 toggle
Created in NX6.0.0.



License requirements : None

std::vector<NXOpen::Face *> NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::GetFace1Array ( )

Returns the edge1 array not used.

Returns

Created in NX6.0.0.

License requirements : None
NXOpen::SelectNXObjectList* NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SecondEdge ( )

Returns the second edges or faces.

Used only if the type is EdgeEdge
Created in NX6.0.0.

License requirements : None

void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetCurvatureCheck ( NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::CurvatureType  curvatureCheck)

Sets the curvature check
Created in NX6.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
curvatureCheckcurvaturecheck
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetG0 ( bool  g0)

Sets the g0 toggle
Created in NX6.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
g0g0
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetG1 ( bool  g1)

Sets the g1 toggle
Created in NX6.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
g1g1
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetG2 ( bool  g2)

Sets the g2 toggle
Created in NX6.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
g2g2
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetG3 ( bool  g3)

Sets the g3 toggle
Created in NX6.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
g3g3
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::SetType ( NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Types  type)

Sets the type of analysis to perform
Created in NX6.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
typetype
NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Types NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::Type ( )

Returns the type of analysis to perform
Created in NX6.0.0.



License requirements : None

void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::UpdateFace ( NXOpen::Face face,
const NXOpen::Point3d selectionPoint 
)

User selects or deselects face, update builder m_edge2, m_face2
Created in NX6.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
faceface
selectionPointselection point
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::UpdateFirstEdgeFace ( NXOpen::DisplayableObject edgeOrFace,
const NXOpen::Point3d selectionPoint 
)

The user selects or deselects first edge or face, update builder m_edge1, m_face1
Created in NX6.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
edgeOrFacethe parent of Face or Edge
selectionPointselection point
void NXOpen::GeometricAnalysis::SurfaceContinuityAnalysisBuilder::UpdateSecondEdgeFace ( NXOpen::DisplayableObject edgeOrFace,
const NXOpen::Point3d selectionPoint 
)

User selects or deselects second edge or face, update builder m_edge2, m_face2
Created in NX6.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
edgeOrFacethe parent of Face or Edge
selectionPointselection point

The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.